[
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E2bds_v5",
    "tier": "Standard",
    "size": "E2bds_v5",
    "family": "standardEBDSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "MaxResourceVolumeMB",
        "value": "76800"
      },
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "2"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "16"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "4"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "2"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "9000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "131072000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "65536000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "5500"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "163577856"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "2"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E4bds_v5",
    "tier": "Standard",
    "size": "E4bds_v5",
    "family": "standardEBDSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "MaxResourceVolumeMB",
        "value": "153600"
      },
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "4"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "32"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "8"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "4"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "19000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "262144000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "131072000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "11000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "367001600"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "2"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E8bds_v5",
    "tier": "Standard",
    "size": "E8bds_v5",
    "family": "standardEBDSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "MaxResourceVolumeMB",
        "value": "3379200"
      },
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "8"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "64"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "16"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "8"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "38000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "524288000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "262144000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "22000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "655360000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "4"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E16bds_v5",
    "tier": "Standard",
    "size": "E16bds_v5",
    "family": "standardEBDSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "MaxResourceVolumeMB",
        "value": "6758400"
      },
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "16"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "128"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "16"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "75000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "1048576000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "524288000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "44000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "1310720000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E32bds_v5",
    "tier": "Standard",
    "size": "E32bds_v5",
    "family": "standardEBDSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "MaxResourceVolumeMB",
        "value": "13516800"
      },
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "32"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "256"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "32"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "1500000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "2097152000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "1048576000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "88000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "2621440000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E48bds_v5",
    "tier": "Standard",
    "size": "E48bds_v5",
    "family": "standardEBDSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "MaxResourceVolumeMB",
        "value": "20275200"
      },
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "48"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "384"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "48"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "225000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "4194304000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "2097152000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "132000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "4194304000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E64bds_v5",
    "tier": "Standard",
    "size": "E64bds_v5",
    "family": "standardEBDSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "MaxResourceVolumeMB",
        "value": "26457600"
      },
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "64"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "512"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "64"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "300000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "4194304000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "2097152000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "176000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "5242880000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E2bs_v5",
    "tier": "Standard",
    "size": "E2bs_v5",
    "family": "standardEBSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "2"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "16"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "4"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "2"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "9000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "131072000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "65536000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "5500"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "163577856"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "2"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E4bs_v5",
    "tier": "Standard",
    "size": "E4bs_v5",
    "family": "standardEBSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "4"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "32"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "8"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "4"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "19000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "262144000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "131072000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "11000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "367001600"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "2"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E8bs_v5",
    "tier": "Standard",
    "size": "E8bs_v5",
    "family": "standardEBSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "8"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "64"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "16"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "8"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "38000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "524288000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "262144000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "22000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "655360000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "4"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E16bs_v5",
    "tier": "Standard",
    "size": "E16bs_v5",
    "family": "standardEBSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "16"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "128"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "16"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "75000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "1048576000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "524288000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "44000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "1310720000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E32bs_v5",
    "tier": "Standard",
    "size": "E32bs_v5",
    "family": "standardEBSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "32"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "256"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "32"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "1500000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "2097152000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "1048576000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "88000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "2621440000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E48bs_v5",
    "tier": "Standard",
    "size": "E48bs_v5",
    "family": "standardEBSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "48"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "384"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "48"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "225000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "4194304000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "2097152000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "132000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "4194304000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  },
  {
    "resourceType": "virtualMachines",
    "name": "Standard_E64bs_v5",
    "tier": "Standard",
    "size": "E64bs_v5",
    "family": "standardEBSv5Family",
    "locations": [
      "westus"
    ],
    "locationInfo": [
      {
        "location": "westus",
        "zones": [],
        "zoneDetails": []
      }
    ],
    "capabilities": [
      {
        "name": "OSVhdSizeMB",
        "value": "1047552"
      },
      {
        "name": "vCPUs",
        "value": "64"
      },
      {
        "name": "MemoryPreservingMaintenanceSupported",
        "value": "True"
      },
      {
        "name": "HyperVGenerations",
        "value": "V1,V2"
      },
      {
        "name": "MemoryGB",
        "value": "512"
      },
      {
        "name": "MaxDataDiskCount",
        "value": "32"
      },
      {
        "name": "CpuArchitectureType",
        "value": "x64"
      },
      {
        "name": "LowPriorityCapable",
        "value": "True"
      },
      {
        "name": "PremiumIO",
        "value": "True"
      },
      {
        "name": "VMDeploymentTypes",
        "value": "IaaS"
      },
      {
        "name": "vCPUsAvailable",
        "value": "64"
      },
      {
        "name": "vCPUsPerCore",
        "value": "2"
      },
      {
        "name": "CombinedTempDiskAndCachedIOPS",
        "value": "300000"
      },
      {
        "name": "CombinedTempDiskAndCachedReadBytesPerSecond",
        "value": "4194304000"
      },
      {
        "name": "CombinedTempDiskAndCachedWriteBytesPerSecond",
        "value": "2097152000"
      },
      {
        "name": "UncachedDiskIOPS",
        "value": "176000"
      },
      {
        "name": "UncachedDiskBytesPerSecond",
        "value": "5242880000"
      },
      {
        "name": "EphemeralOSDiskSupported",
        "value": "True"
      },
      {
        "name": "EncryptionAtHostSupported",
        "value": "True"
      },
      {
        "name": "CapacityReservationSupported",
        "value": "False"
      },
      {
        "name": "AcceleratedNetworkingEnabled",
        "value": "True"
      },
      {
        "name": "RdmaEnabled",
        "value": "False"
      },
      {
        "name": "MaxNetworkInterfaces",
        "value": "8"
      },
      {
        "name": "UltraSSDAvailable",
        "value": "True"
      }
    ],
    "restrictions": [
      {
        "type": "Location",
        "values": [
          "westus"
        ],
        "restrictionInfo": {
          "locations": [
            "westus"
          ]
        },
        "reasonCode": "NotAvailableForSubscription"
      }
    ]
  }
]